# GIO Reference Manual

# GIO Reference Manual

for GIO &version; The latest version of this documentation can be found on-line at http://library.gnome.org/devel/gio/unstable/.

## API Reference

### File Operations

### File System Monitoring

### File-related Utilities

### Asynchronous I/O

### Data conversion

### Streaming I/O

### File types and applications

### Volumes and Drives

### Icons

### Failable Initialization

### Lowlevel network support

### Highlevel network functionallity

### TLS (SSL) support

### DNS resolution

### Lowlevel D-Bus Support

### Highlevel D-Bus Support

### Settings

### Permissions

### Application support

### Extending GIO

### GIO Tools

## Migrating to GIO

## Object Hierarchy

## Index

## Index of deprecated symbols

## Index of new symbols in 2.18

## Index of new symbols in 2.20

## Index of new symbols in 2.22

## Index of new symbols in 2.24

## Index of new symbols in 2.26

## Index of new symbols in 2.28